## helma.objectmodel
Class TransientNode

    java.lang.Object
      helma.objectmodel.TransientNode

All Implemented Interfaces:
  IPathElement, INode, INodeState, java.io.Serializable

    public class TransientNode

extends java.lang.Object
implements INode, java.io.Serializable

A transient implementation of INode. An instance of this class can't be made persistent by reachability from a persistent node. To make a persistent-capable object, class helma.objectmodel.db.Node has to be used.

See Also:
  Serialized Form

Field Summary
`protected boolean` `anonymous`
`protected long` `created`
`protected java.lang.String` `id`
`protected long` `lastmodified`
`protected java.util.Vector` `links`
`protected java.lang.String` `name`
`protected java.util.Hashtable` `nodeMap`
`protected java.util.Vector` `nodes`
`protected TransientNode` `parent`
`protected java.util.Vector` `proplinks`
`protected java.util.Hashtable` `propMap`

Fields inherited from interface helma.objectmodel.INodeState
`CLEAN, DELETED, INVALID, MODIFIED, NEW, TRANSIENT, VIRTUAL`

Constructor Summary
`TransientNode()` Creates a new TransientNode object.
`TransientNode(java.lang.String n)` Make a new TransientNode object with a given name

Method Summary
`INode` `addNode(INode elem)`
`INode` `addNode(INode elem, int where)`
`void` `clearCacheNode()` Reset the cache node for this node.
`int` `contains(INode n)`
`long` `created()`
`INode` `createNode()`
`INode` `createNode(int where)`
`INode` `createNode(java.lang.String nm)`
`INode` `createNode(java.lang.String nm, int where)`
`static java.lang.String` `generateID()`
`IProperty` `get(java.lang.String propname)`
`boolean` `getBoolean(java.lang.String propname)`
`INode` `getCacheNode()` Get the cache node for this node.
`IPathElement` `getChildElement(java.lang.String name)` Retrieve a child element of this object by name.
`java.util.Date` `getDate(java.lang.String propname)`
`DbMapping` `getDbMapping()`
`java.lang.String` `getElementName()` Return the name to be used to get this element from its parent
`double` `getFloat(java.lang.String propname)`
`java.lang.String` `getFullName()`
`java.lang.String` `getFullName(INode root)`
`java.lang.String` `getID()` navigation-related
`long` `getInteger(java.lang.String propname)`
`java.lang.Object` `getJavaObject(java.lang.String propname)`
`java.lang.String` `getName()`
`INode` `getNode(java.lang.String propname)`
`INode` `getParent()` node-related methods
`IPathElement` `getParentElement()` register a node that links to this node.
`java.lang.String` `getPrototype()` Get the name of the prototype to be used for this object.
`int` `getState()`
`java.lang.String` `getString(java.lang.String propname)`
`java.lang.String` `getString(java.lang.String propname, java.lang.String defaultValue)`
`INode` `getSubnode(java.lang.String name)`
`INode` `getSubnodeAt(int index)`
`java.lang.String` `getSubnodeRelation()`
`java.util.Enumeration` `getSubnodes()`
`boolean` `isAnonymous()`
`long` `lastModified()`
`int` `numberOfNodes()`
`java.util.Enumeration` `properties()` property-related
`protected void` `releaseNode(INode node)` "Physically" remove a subnode from the subnodes table.
`boolean` `remove()`
`void` `removeNode(INode node)`
`void` `setBoolean(java.lang.String propname, boolean value)`
`void` `setDate(java.lang.String propname, java.util.Date value)`
`void` `setDbMapping(DbMapping dbmap)`
`void` `setFloat(java.lang.String propname, double value)`
`void` `setInteger(java.lang.String propname, long value)`
`void` `setJavaObject(java.lang.String propname, java.lang.Object value)`
`void` `setName(java.lang.String name)`
`void` `setNode(java.lang.String propname, INode value)`
`void` `setPrototype(java.lang.String proto)`
`void` `setState(int s)`
`void` `setString(java.lang.String propname, java.lang.String value)`
`void` `setSubnodeRelation(java.lang.String rel)` INode-related
`java.lang.String` `toString()`
`void` `unset(java.lang.String propname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### propMap

    protected java.util.Hashtable propMap

### nodeMap

    protected java.util.Hashtable nodeMap

### nodes

    protected java.util.Vector nodes

### parent

    protected TransientNode parent

### links

    protected java.util.Vector links

### proplinks

    protected java.util.Vector proplinks

### created

    protected long created

### lastmodified

    protected long lastmodified

### id

    protected java.lang.String id

### name

    protected java.lang.String name

### anonymous

    protected boolean anonymous

Constructor Detail

### TransientNode

    public TransientNode()

  Creates a new TransientNode object.

### TransientNode

    public TransientNode(java.lang.String n)

  Make a new TransientNode object with a given name

Method Detail

### generateID

    public static java.lang.String generateID()

  Returns:
    ...

### setDbMapping

    public void setDbMapping(DbMapping dbmap)

  Specified by:
    `setDbMapping` in interface `INode`
  Parameters:
    `dbmap` - ...

### getDbMapping

    public DbMapping getDbMapping()

  Specified by:
    `getDbMapping` in interface `INode`
  Returns:
    ...

### getID

    public java.lang.String getID()

  navigation-related

  Specified by:
    `getID` in interface `INode`

### isAnonymous

    public boolean isAnonymous()

  Specified by:
    `isAnonymous` in interface `INode`
  Returns:
    ...

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `INode`
  Returns:
    ...

### getElementName

    public java.lang.String getElementName()

  Description copied from interface: `IPathElement`
  Return the name to be used to get this element from its parent

  Specified by:
    `getElementName` in interface `IPathElement`
  Returns:
    ...

### getState

    public int getState()

  Specified by:
    `getState` in interface `INode`
  Returns:
    ...

### setState

    public void setState(int s)

  Specified by:
    `setState` in interface `INode`
  Parameters:
    `s` - ...

### getFullName

    public java.lang.String getFullName()

  Specified by:
    `getFullName` in interface `INode`
  Returns:
    ...

### getFullName

    public java.lang.String getFullName(INode root)

  Specified by:
    `getFullName` in interface `INode`
  Parameters:
    `root` - ...
  Returns:
    ...

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `INode`
  Parameters:
    `name` - ...

### getPrototype

    public java.lang.String getPrototype()

  Description copied from interface: `IPathElement`
  Get the name of the prototype to be used for this object. This will determine which scripts, actions and skins can be called on it within the Helma scripting and rendering framework.

  Specified by:
    `getPrototype` in interface `IPathElement`
  Specified by:
    `getPrototype` in interface `INode`
  Returns:
    ...

### setPrototype

    public void setPrototype(java.lang.String proto)

  Specified by:
    `setPrototype` in interface `INode`
  Parameters:
    `proto` - ...

### getParent

    public INode getParent()

  Description copied from interface: `INode`
  node-related methods

  Specified by:
    `getParent` in interface `INode`
  Returns:
    ...

### setSubnodeRelation

    public void setSubnodeRelation(java.lang.String rel)

  INode-related

  Specified by:
    `setSubnodeRelation` in interface `INode`
  Parameters:
    `rel` - ...

### getSubnodeRelation

    public java.lang.String getSubnodeRelation()

  Specified by:
    `getSubnodeRelation` in interface `INode`
  Returns:
    ...

### numberOfNodes

    public int numberOfNodes()

  Specified by:
    `numberOfNodes` in interface `INode`
  Returns:
    ...

### addNode

    public INode addNode(INode elem)

  Specified by:
    `addNode` in interface `INode`
  Parameters:
    `elem` - ...
  Returns:
    ...

### addNode

    public INode addNode(INode elem,
                         int where)

  Specified by:
    `addNode` in interface `INode`
  Parameters:
    `elem` - ...
    `where` - ...
  Returns:
    ...

### createNode

    public INode createNode()

  Returns:
    ...

### createNode

    public INode createNode(int where)

  Parameters:
    `where` - ...
  Returns:
    ...

### createNode

    public INode createNode(java.lang.String nm)

  Specified by:
    `createNode` in interface `INode`
  Parameters:
    `nm` - ...
  Returns:
    ...

### createNode

    public INode createNode(java.lang.String nm,
                            int where)

  Specified by:
    `createNode` in interface `INode`
  Parameters:
    `nm` - ...
    `where` - ...
  Returns:
    ...

### getParentElement

    public IPathElement getParentElement()

  register a node that links to this node.

  Specified by:
    `getParentElement` in interface `IPathElement`

### getChildElement

    public IPathElement getChildElement(java.lang.String name)

  Description copied from interface: `IPathElement`
  Retrieve a child element of this object by name.

  Specified by:
    `getChildElement` in interface `IPathElement`
  Parameters:
    `name` - ...
  Returns:
    ...

### getSubnode

    public INode getSubnode(java.lang.String name)

  Specified by:
    `getSubnode` in interface `INode`
  Parameters:
    `name` - ...
  Returns:
    ...

### getSubnodeAt

    public INode getSubnodeAt(int index)

  Specified by:
    `getSubnodeAt` in interface `INode`
  Parameters:
    `index` - ...
  Returns:
    ...

### contains

    public int contains(INode n)

  Specified by:
    `contains` in interface `INode`
  Parameters:
    `n` - ...
  Returns:
    ...

### remove

    public boolean remove()

  Specified by:
    `remove` in interface `INode`
  Returns:
    ...

### removeNode

    public void removeNode(INode node)

  Specified by:
    `removeNode` in interface `INode`
  Parameters:
    `node` - ...

### releaseNode

    protected void releaseNode(INode node)

  "Physically" remove a subnode from the subnodes table. the logical stuff necessary for keeping data consistent is done elsewhere (in removeNode).

### getSubnodes

    public java.util.Enumeration getSubnodes()

  Specified by:
    `getSubnodes` in interface `INode`
  Returns:
    ...

### properties

    public java.util.Enumeration properties()

  property-related

  Specified by:
    `properties` in interface `INode`

### get

    public IProperty get(java.lang.String propname)

  Specified by:
    `get` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getString

    public java.lang.String getString(java.lang.String propname,
                                      java.lang.String defaultValue)

  Parameters:
    `propname` - ...
    `defaultValue` - ...
  Returns:
    ...

### getString

    public java.lang.String getString(java.lang.String propname)

  Specified by:
    `getString` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getInteger

    public long getInteger(java.lang.String propname)

  Specified by:
    `getInteger` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getFloat

    public double getFloat(java.lang.String propname)

  Specified by:
    `getFloat` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getDate

    public java.util.Date getDate(java.lang.String propname)

  Specified by:
    `getDate` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getBoolean

    public boolean getBoolean(java.lang.String propname)

  Specified by:
    `getBoolean` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getNode

    public INode getNode(java.lang.String propname)

  Specified by:
    `getNode` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### getJavaObject

    public java.lang.Object getJavaObject(java.lang.String propname)

  Specified by:
    `getJavaObject` in interface `INode`
  Parameters:
    `propname` - ...
  Returns:
    ...

### setString

    public void setString(java.lang.String propname,
                          java.lang.String value)

  Specified by:
    `setString` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setInteger

    public void setInteger(java.lang.String propname,
                           long value)

  Specified by:
    `setInteger` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setFloat

    public void setFloat(java.lang.String propname,
                         double value)

  Specified by:
    `setFloat` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setBoolean

    public void setBoolean(java.lang.String propname,
                           boolean value)

  Specified by:
    `setBoolean` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setDate

    public void setDate(java.lang.String propname,
                        java.util.Date value)

  Specified by:
    `setDate` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setJavaObject

    public void setJavaObject(java.lang.String propname,
                              java.lang.Object value)

  Specified by:
    `setJavaObject` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### setNode

    public void setNode(java.lang.String propname,
                        INode value)

  Specified by:
    `setNode` in interface `INode`
  Parameters:
    `propname` - ...
    `value` - ...

### unset

    public void unset(java.lang.String propname)

  Specified by:
    `unset` in interface `INode`
  Parameters:
    `propname` - ...

### lastModified

    public long lastModified()

  Specified by:
    `lastModified` in interface `INode`
  Returns:
    ...

### created

    public long created()

  Specified by:
    `created` in interface `INode`
  Returns:
    ...

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    ...

### getCacheNode

    public INode getCacheNode()

  Get the cache node for this node. This can be used to store transient cache data per node from Javascript.

  Specified by:
    `getCacheNode` in interface `INode`
  Returns:
    ...

### clearCacheNode

    public void clearCacheNode()

  Reset the cache node for this node.

  Specified by:
    `clearCacheNode` in interface `INode`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.